package de.ozgcloud.aggregation.data;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class GrpcObjectMapperTest {

	private final GrpcObjectMapper grpcObjectMapper = Mappers.getMapper(GrpcObjectMapper.class);

	@Nested
	class TestToMap {

		@Test
		void shouldMapGrpcObjectToMap() {
			var map = grpcObjectMapper.toMap(GrpcObjectTestFactory.create());

			assertThat(map).usingRecursiveComparison().isEqualTo(AggregationDataTestFactory.PAYLOAD);
		}
	}
}
