package de.ozgcloud.aggregation.data;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.aggregation.data.GrpcSendAggregationDataRequest.Builder;

public class GrpcSendAggregationDataRequestTestFactory {

	public static final GrpcAggregationData AGGREGATION_DATA = GrpcAggregationDataTestFactory.create();
	public static final String MANDANT = AggregationDataTestFactory.KOMMUNE;
	public static final String MAPPING_NAME = LoremIpsum.getInstance().getWords(1);

	public static GrpcSendAggregationDataRequest create() {
		return createBuilder()
				.build();
	}

	public static Builder createBuilder() {
		return GrpcSendAggregationDataRequest.newBuilder()
				.addAggregationData(AGGREGATION_DATA)
				.setMandant(MANDANT)
				.setName(MAPPING_NAME);
	}
}
