package de.ozgcloud.aggregation.data;

import org.springframework.beans.factory.annotation.Lookup;

import de.ozgcloud.aggregation.data.AggregationDataServiceGrpc.AggregationDataServiceImplBase;
import io.grpc.stub.StreamObserver;
import net.devh.boot.grpc.server.service.GrpcService;

@GrpcService
abstract class AggregationDataGrpcService extends AggregationDataServiceImplBase {

	@Override
	public StreamObserver<GrpcSendAggregationDataRequest> sendAggregationData(StreamObserver<GrpcSendAggregationDataResponse> responseObserver) {
		return getGrpcAggregationDataRequestObserver().withResponseObserver(responseObserver);
	}

	@Lookup
	abstract GrpcAggregationDataRequestObserver getGrpcAggregationDataRequestObserver();
}
