package de.ozgcloud.aggregation.data;

import org.springframework.data.mongodb.core.MongoTemplate;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
class CustomAggregationDataRepositoryImpl implements CustomAggregationDataRepository {

	private final MongoTemplate mongoTemplate;

	@Override
	public AggregationData saveInCollection(AggregationData aggregationData, String collectionName) {
		return mongoTemplate.save(aggregationData, collectionName);
	}

}
