package de.ozgcloud.aggregation.data;

import de.ozgcloud.aggregation.data.GrpcObject.Builder;

public class GrpcObjectTestFactory {

	public static GrpcObject create() {
		return createBuilder().build();
	}

	private static Builder createBuilder() {
		return GrpcObject.newBuilder()
				.addProperties(GrpcPropertyTestFactory.createStringProperty())
				.addProperties(GrpcPropertyTestFactory.createListProperty())
				.addProperties(GrpcPropertyTestFactory.creatMapProperty());
	}

}
